# Target: fedora-5

Summary:          C++ network and serial communication library
Name:             conexus
Version:          0.4.0
Release:          1%{?dist}
License:          LGPL
URL:              http://conexus.sourceforge.net
Group:            System Environment/Libraries
Source:           http://download.sourceforge.net/conexus/conexus-0.4.0.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    glibmm24-devel >= 2.6.0 boost-devel >= 1.32.0 cppunit-devel >= 1.11 pkgconfig m4

%description
Conexus is a generalized C++ I/O library that includes support for BSD
sockets, serial/tty, packet capture (via pcap), et. al. conexus utilizes
sigc++ for object communication.

%package          devel
Summary:          Headers for developing programs that will use conexus
Group:            Development/Libraries
Requires:         conexus = %{version}-%{release}
Requires:         glibmm24-devel >= 2.6.0 boost-devel >= 1.32.0 pkgconfig

%description    devel
This package contains the libraries and header files needed for
developing conexus applications.

%prep
%setup -q

%build
%configure --enable-static=no
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
# Copy the docs into a different place in the dist hierarchy so they
# install as /usr/share/doc/package-x.x.x-devel/reference
%{__cp} -ar docs/reference .

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/lib*conexus*.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root,-)
%{_libdir}/*conexus*.so
%{_libdir}/pkgconfig/conexus*.pc
%{_includedir}/conexus-0.4/
%doc ChangeLog reference


%changelog
* Sat Aug 26 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-1
- New release

* Wed Aug 16 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.0-1
- New release
- Removed libpcap dependency; libpcap PacketCapture classes replaced by
  socket based LL::Packet

* Tue Aug  8 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.3-2
- Reverted libpcap-devel to libpcap for FE5

* Sun Aug  6 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.3-1
- New release fixes serial example bug
- Changed libpcap to libpcap-devel for Fedora development
- Added BuildRequires m4

* Mon Jul 31 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-1
- Added pkgconfig to -devel Requires
- New release fixes autoconf generated headers

* Sun Jul 30 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-2
- Added cppunit-devel to BuildRequires
- Changed make to %%{__make}
- Changed %%{name} to autoconf subst that puts specific name in devel requires
- Added comment regarding why cp occurs for docs
- Added package name to globs in so libs, .pc and demos

* Sat Jul 29 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-1
- New release

* Sat Jul 15 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-1
- Removed doxygen and graphviz depends
- New release
- Fixed AUTHORS and COPYING doc files

* Wed Mar 29 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.17-1
- Added libpcap and pkgconfig -devel Requires and BuildRequires
- Fixed download mirror
- Split gtkmm widgets into conexusgtkmm

* Sun Mar 05 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.16-2
- Removed Requires tag, relying on BuildRequires instead
- Cleaned up Source tag and changed to bz2 files
- New upstream release (upstream is me, it's just easier to say it that way)

* Fri Mar 03 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.16-1
- Long overdue cleanup of configure.in et. al.
- Docs now install into $prefix/share/doc/{package}-{version}.
- Separate doc rpm consolidated into devel rpm.

* Mon Feb 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.15-1
- Initial version (at least the inital version with a changelog in the .spec)
